
QGIS Application - Bug report #13591

Processing: `r.reclass.area.greater` fails

2015-10-13 11:45 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21633

Description

Avvio dell'algoritmo r.reclass.area.greater - Reclassifies a raster layer, selecting areas larger than a user specified size...

g.proj -c proj4="+proj=tmerc +lat_0=0 +lon_0=9 +k=0.9996 +x_0=1500000 +y_0=0 +ellps=intl

+towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68 +units=m +no_defs" 

r.external input="/tmp/processing/14cf5dba51af42b680232b6f8f8d9980/aspect.tif" band=1 output=tmp14447618157420 --overwrite -o

g.region -a n=4834938.78483 s=4803339.45469 e=1689423.62932 w=1650345.46854 res=25.0020222481

r.reclass.area input=tmp14447618157420 greater="100" output=output47a75b7e763e412a993ed6d0e58ce2bf --overwrite

g.region raster=output47a75b7e763e412a993ed6d0e58ce2bf

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=output47a75b7e763e412a993ed6d0e58ce2bf

output="/tmp/processing/5c8c37866a2f4ffba5d73da1686d5f78/output.tif" 

Sto avviando GRASS GIS... 

Sto eseguendo '/home/paolo/Scrivania/analisi/config/processing/grass7_batch_job.sh'... 

Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region

from the default 

Informazioni sulla proiezione aggiornate 

ATTENZIONE: La verifica della proiezione verrÃ  ignorata 

Reading band 1 of 1... 

r.external completo. Link to raster map created.

Description: 

Riclassifica un raster maggiore o minore della dimensione di un'area specificata dall'utente (in ettaari).

Keywords: 

raster, statistiche, aggregation

Usage: 

r.reclass.area [-cd] input=name output=name value=value mode=string 

[method=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

Flags: 

-c Input map is clumped 

-d Clumps including diagonal neighbors 

--o Permetti al file di output di sovrascrivere file esistenti 

--h Print usage summary 

--v Output verboso del modulo 

--q Output quieto del modulo 

--ui Force launching GUI dialog

Parameters: 

input Nome del raster in input 
output Nome del raster di output 

value Value option that sets the area size limit (in hectares) 

mode Lesser or greater than specified value 

opzioni: lesser,greater 

method Method used for reclassification 

opzioni: reclass,rmarea 

predefinito: reclass

ERROR: r.reclass.area: Sorry, is not a valid parameter 

ERROR: Required parameter not set: 

(Value option that sets the area size limit (in hectares)) 

ERROR: Required parameter not set: 

(Lesser or greater than specified value) 

ERRORE: Mappa raster non trovata 

ERRORE: Mappa raster o gruppo non trovato 

Esecuzione di '/home/paolo/Scrivania/analisi/config/processing/grass7_batch_job.sh' terminata. 

Cleaning up temporary files... 

Sto avviando GRASS GIS... 

Sto eseguendo '/home/paolo/Scrivania/analisi/config/processing/grass7_batch_job.sh'... 

ERRORE: Mappa raster non trovata 

ERRORE: Mappa raster o gruppo non trovato 

Esecuzione di '/home/paolo/Scrivania/analisi/config/processing/grass7_batch_job.sh' terminata. 

Cleaning up temporary files... 

Converting outputs

Caricamento layer

The following layers were not correctly generated.

Reclassified

You can check the log messages to find more information about the execution of the algorithm

History

#1 - 2015-10-13 11:48 AM - Paolo Cavallini

Of course, the same for r.reclass.area.lesser

#2 - 2015-10-13 11:56 AM - Giovanni Manghi

parameters names have changed in grass 7, description file must change accordingly

https://grass.osgeo.org/grass64/manuals/r.reclass.area.html

https://grass.osgeo.org/grass70/manuals/r.reclass.area.html

#3 - 2015-10-13 12:13 PM - Paolo Cavallini

Apparently the command is the same, but we wrap greater value in "" greater="100" instead of greater=100.

#4 - 2015-10-13 01:16 PM - Markus Neteler

- Pull Request or Patch supplied changed from No to Yes
r.reclass.area.lesser and r.reclass.area.fixed in pull requests 2369 and 2370 (please backport to 2.10.x)

#5 - 2015-10-13 10:28 PM - Paolo Cavallini

Thanks, PR checked and applied. We do not have a policy for backporting, but a new package for Processing can be published, and upgraded by the

user.

Victor, could you publish it?

#6 - 2015-11-10 02:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
